org.eclipse.net4j.util.container.delegate

## Class ContainerSortedSet<E>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>
    - - org.eclipse.net4j.util.container.delegate.ContainerCollection<E>
      - - org.eclipse.net4j.util.container.delegate.ContainerSet<E>
        - - org.eclipse.net4j.util.container.delegate.ContainerSortedSet<E>

- All Implemented Interfaces:
    java.lang.Iterable<E>, java.util.Collection<E>, java.util.Set<E>, java.util.SortedSet<E>, IContainerCollection<E>, IContainerSet<E>, IContainerSortedSet<E>, IContainer<E>, INotifier

      public class ContainerSortedSet<E>
      extends ContainerSet<E>
      implements IContainerSortedSet<E>

  A default implementation of a `container sorted set`.
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `AbstractDelegator.DelegatingIterator`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerSortedSet(java.util.SortedSet<E> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Comparator<? super E>` | `comparator()`
    `E` | `first()`
    `java.util.SortedSet<E>` | `getDelegate()`
    `java.util.SortedSet<E>` | `headSet(E toElement)`
    `E` | `last()`
    `java.util.SortedSet<E>` | `subSet(E fromElement, E toElement)`
    `java.util.SortedSet<E>` | `tailSet(E fromElement)`

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.ContainerCollection

      `add, addAll, clear, contains, containsAll, equals, getElements, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.util.SortedSet

      `spliterator`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ContainerSortedSet

          public ContainerSortedSet(java.util.SortedSet<E> delegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.SortedSet<E> getDelegate()

      Specified by:
        `getDelegate` in interface `IContainerCollection<E>`
      Specified by:
        `getDelegate` in interface `IContainerSet<E>`
      Specified by:
        `getDelegate` in interface `IContainerSortedSet<E>`
      Overrides:
        `getDelegate` in class `ContainerSet<E>`

    - #### comparator

          public java.util.Comparator<? super E> comparator()

      Specified by:
        `comparator` in interface `java.util.SortedSet<E>`
      Category
        READ

    - #### first

          public E first()

      Specified by:
        `first` in interface `java.util.SortedSet<E>`
      Category
        READ

    - #### last

          public E last()

      Specified by:
        `last` in interface `java.util.SortedSet<E>`
      Category
        READ

    - #### headSet

          public java.util.SortedSet<E> headSet(E toElement)

      Specified by:
        `headSet` in interface `java.util.SortedSet<E>`
      Category
        READ

    - #### subSet

          public java.util.SortedSet<E> subSet(E fromElement,
                                               E toElement)

      Specified by:
        `subSet` in interface `java.util.SortedSet<E>`
      Category
        READ

    - #### tailSet

          public java.util.SortedSet<E> tailSet(E fromElement)

      Specified by:
        `tailSet` in interface `java.util.SortedSet<E>`
      Category
        READ

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html